c*************************** colors.f *********************************
c     see files README and COPYING for      Copyright (C) B Bunk 2/2000
c     conditions of use and redistribution
c----------------------------------------------------------------------
      program colors
c
c     show BBplot default colors and some alternative settings
c
      call subtit('BBplot default colors')
c
      call leglin( -1, 'predefined colors:')
      call leglin(  1, '0: black')
      call leglin(101, '1: red')
      call leglin(201, '2: green')
      call leglin(301, '3: blue')
      call leglin(401, '4: dark orange')
      call leglin(501, '5: magenta')
      call leglin(601, '6: cyan')
      call leglin(701, '7: brown')
c
      call leglin( -1, ' ')
      call leglin( -1, 'alternatives:')
      call setcol(12, 50, 205, 50)
      call leglin(1201, 'lime green = (50,205,50)')
      call setcol(16, 0, 205, 205)
      call leglin(1601, 'cyan3 = (0,205,205)')
c
      x0=0.
      y0=0.
      r1=.25
      r2=1.
      n=32
      do 10 i=0,n-1
      phi=(6.283185/n)*i
      x1=x0 + r1*cos(phi)
      y1=y0 + r1*sin(phi)
      x2=x0 + r2*cos(phi)
      y2=y0 + r2*sin(phi)
      icol=mod(i,8)
      ltype=100*icol + 1
      call addlin(x1, y1, x2, y2, ltype)
10    continue
c
      call xrange(-2.5, 1.2)
      call yrange(-2.5, 1.2)
      call nolabx
      call nolaby
      call view
      call meta('colors.met')
      call psfile('colors.ps')
      stop
      end
