c************************* BBplot ******************* B Bunk  7/1991
c     BBplot demo program: histogram                  rev     4/1993
c           - construct the polygon
c           - call addpol
c
      program histo1
c
      parameter(ndat=1000,nbins=50)
      parameter(mr=714025,ia=1366,ic=150889,rnorm=1./mr)
      dimension icnt(nbins),xp(2*nbins+2),yp(2*nbins+2)
c
c-----initialise the random number generator
      irand=12345
      irand=mod(irand,mr)
c-----clear the bin counters
      do 10 i=1,nbins
      icnt(i)=0
10    continue
c
c-----call ndat random numbers and count them in nbins bins
      do 100 i=1,ndat
      irand=mod(ia*irand+ic,mr)
      random=rnorm*irand
      ibin=random * nbins + 1
      icnt(ibin)=icnt(ibin) + 1
100   continue
c
c-----the polygon  (xp(i),yp(i), i=1..np)  outlines the histogram
      xstep=1./nbins
      x=0.
      np=1
      xp(1)=x
      yp(1)=0.
      do 200 ibin=1,nbins
      np=np+1
      xp(np)=x
      yp(np)=icnt(ibin)
      np=np+1
      x=x + xstep
      xp(np)=x
      yp(np)=icnt(ibin)
200   continue
      np=np+1
      xp(np)=x
      yp(np)=0.
c
c-----histogram plot
c.....clear
      call iniplt
c.....polygon call
      call addpol(np,xp,yp,1)
c.....y range: set lower limit to 0.
      call yrange(0.,1e30)
c.....flip tickmarks to the outside
      call tcksiz(-1.)
c.....view the plot
      call view
c.....write a metafile ...
c     call meta('histo.met')
c
      stop
      end
