@echo off
rem                                             B Bunk  3/1991
rem   generate a pixelfile using BBdot24        rev     2/1996
rem
if "%1"==""       goto error1

if exist bb_tmp.in   del bb_tmp.in
echo /LS=48             > bb_tmp.in
echo /CC=1              >>bb_tmp.in
echo /PF=c:\bb_tmp.pix  >>bb_tmp.in
echo /TM=10             >>bb_tmp.in
:include
if "%1"==""       goto run
echo %1                 >>bb_tmp.in
shift
goto include

:run
if not exist bb_tmp.in     goto error1

bbdot24                 < bb_tmp.in

if exist c:\bb_tmp.pix  copy/b c:\bb_tmp.pix prn
goto end

:error1
echo   bbprint: print BBplot metafiles via bbdot24
echo .
echo   usage: bbprint [`option'or`parameter'] ...
echo .
echo   options and their default values:
echo   -mf`none'   metafile
echo   -pf`none'   pixelfile
echo   -cf`none'   command options file
echo   -lm20       left  margin (in true mm)
echo   -rm20       right   ..    ..  ..  ..
echo   -tm10       top     ..    ..  ..  ..
echo   -pl250      printing length (in true mm)
echo   -bl0        base length of the plot region (in true mm); 0 = adjust
echo   -xl0        length of the x axis (in true mm); 0 = adjust
echo   -ro2        rotation: 0 = off, 1 = on , 2 = automatic mode
echo   -ff1        form feed after printing: 0 = off , 1 = on
echo   -lw10       line width; 0,1,2,.. (in relative units); 10 is normal
echo   -ls48       line spacing in graphics mode (in units of 1/360")
echo   -cc1        printer control code; 0,1,2; cf. drivers.doc
echo   up to 2 parameters are allowed and equivalent to -mf`xx' and -pf`xx'
echo .
echo   if no pixelfile is specified, a temp file is created and printed

:end
if exist bb_tmp.in   del bb_tmp.in
if exist c:\bb_tmp.pix  del c:\bb_tmp.pix
