!***************************** bbex10 *****************************
!                                                     B Bunk 7/1991
!     exponential decomposition
!           z = a * 10**n  with  1. =< |a| < 10.

      subroutine bbex10(z,a,n)

      parameter(eps=1.e-5,amax=10.*(1.-eps))

      a=abs(z)
      n=0
10    continue
      if(a .ge. 10.)then
            a=.1*a
            n=n+1
            goto 10
      else if(a .lt. 1.)then
            a=10.*a
            n=n-1
            goto 10
      endif

      if(a.gt.amax)then
            a=1.
            n=n+1
      endif

      a=sign(a,z)
      end
