!***************************** bbsymb *********************************
!     see files README and COPYING for      Copyright (C) B Bunk 7/1991
!     conditions of use and redistribution                rev    1/2000
!----------------------------------------------------------------------
!     plot a (colored) point symbol isymc at (x,y)

      subroutine bbsymb(isymc,x,y,rad,wr)

!     rad : radius of the circle symbol (in plot units)
!     wr  : line width (relative to the symbol size)

      dimension map(26)
      data map/192,193,193,194,194,196,0,0,0,0 &
              , 87, 88, 88, 89, 90, 91,0,0,0,0 &
              ,192,193,193,194,194,196/

!     extract color and symbol index

      icol=isymc/100
      isym=isymc - icol*100
      if(isym.lt.0 .or. isym.gt.26 &
                   .or. mod(isym-1,10).gt.5 )then
      write(6,*)'BBplot error in bbsymb: isym invalid -- reset to 0'
      isym=0
      endif

      if(isym .eq. 0)then
            call bbchar(211,x,y,0.,5.*rad,wr,icol)
            return
      endif

      angle=0.
      if(isym .eq. 3 .or. isym.eq.13 .or. isym.eq.23) angle=45.
      if(isym .eq. 5 .or. isym.eq.25) angle=60.

      size=2.96*rad
      wrchar=wr
      if(isym.ge.11 .and. isym.le.16)then
            size=4.5*rad
            wrchar=.8*wr
      endif

      call bbchar(map(isym),x,y,angle,size,wrchar,icol)
      if(isym.ge.21) call bbchar(211,x,y,0.,4.*rad,wr,icol)

      end
