!***************************** setpar *****************************
!                                                     B Bunk 7/1991
!     set parameters by number                        rev   12/2013

subroutine setpar(n,value)

  use bbplot_internal_data

  if(n.lt.1 .or. n.gt.50)then
     write(6,*) &
          'BBplot error in setpar: index out of range -- ignored'
     return
  endif

  select case(n)
  case( 1); ytox   = value
  case( 2); wframe = value
  case( 3); septkx = value
  case( 4); siztkx = value
  case( 5); srtkx  = value
  case( 6); wtkx   = value
  case( 7); minlbx = value
  case( 8); seplbx = value
  case( 9); sizlbx = value
  case(10); wrlbx  = value
  case(11); seplgx = value
  case(12); sizlgx = value
  case(13); wrlgx  = value
  case(14); septky = value
  case(15); siztky = value
  case(16); srtky  = value
  case(17); wtky   = value
  case(18); minlby = value
  case(19); seplby = value
  case(20); sizlby = value
  case(21); wrlby  = value
  case(22); seplgy = value
  case(23); sizlgy = value
  case(24); wrlgy  = value
  case(25); radpt  = value
  case(26); wrpt   = value
  case(27); wbar   = value
  case(28); robarx = value
  case(29); robary = value
  case(30); ninter = value
  case(31); wlin1  = value
  case(32); wlin2  = value
  case(33); sizdsh = value
  case(34); sepdsh = value
  case(35); sepdot = value
  case(36); septit = value
  case(37); siztit = value
  case(38); wrtit  = value
  case(39); sepsub = value
  case(40); sizsub = value
  case(41); wrsub  = value
  case(42); xlgpos = value
  case(43); ylgpos = value
  case(44); sizfld = value
  case(45); sepfld = value
  case(46); seplg  = value
  case(47); sizlg  = value
  case(48); wrlg   = value
  case(49); siztxt = value
  case(50); wrtxt  = value
  end select

end subroutine setpar
