c************************* BBplot ******************* B Bunk  7/1991
c     BBplot demo program: histogram                  rev     4/1993
c           - new version with histogram macro: call addhis
c
      program histo2
c
      parameter(ndat=1000,nbins=50)
      parameter(mr=714025,ia=1366,ic=150889,rnorm=1./mr)
      dimension icnt(nbins)
c
c-----initialise the random number generator
      irand=12345
      irand=mod(irand,mr)
c-----clear the bin counters
      do 10 i=1,nbins
      icnt(i)=0
10    continue
c
c-----call ndat random numbers and count them in nbins bins
      do 100 i=1,ndat
      irand=mod(ia*irand+ic,mr)
      random=rnorm*irand
      ibin=random * nbins + 1
      icnt(ibin)=icnt(ibin) + 1
100   continue
c
c-----histogram plot
c.....clear
      call iniplt
c.....histogram call
      dx=1./nbins
      call addhis(icnt,nbins,0.,dx,1.,1)
c.....y range: set lower limit to 0.
      call yrange(0.,1e30)
c.....flip tickmarks to the outside
      call tcksiz(-1.)
c.....view the plot
      call view
c.....write a metafile ...
c     call meta('histo.met')
c
      stop
      end
