/* bitops.c - patch for Linux f77 
            - makes intrinsic functions
                  iand, ior, ieor, not
              available to Fortran
            - Fortran77 extension, will be standard in Fortran90
*/

typedef long int integer;

integer iand_(i1, i2)
integer *i1, *i2;
{
    integer ret_val;

    ret_val = *i1 & *i2;
    return ret_val;
} /* iand_ */


integer ior_(i1, i2)
integer *i1, *i2;
{
    integer ret_val;

    ret_val = *i1 | *i2;
    return ret_val;
} /* ior_ */


integer ieor_(i1, i2)
integer *i1, *i2;
{
    integer ret_val;

    ret_val = *i1 ^ *i2;
    return ret_val;
} /* ieor_ */


integer not_(i1)
integer *i1;
{
    integer ret_val;

    ret_val = ~*i1;
    return ret_val;
} /* not_ */
