!***************************** legends ********************************
!     see files README and COPYING for      Copyright (C) B Bunk 7/1991
!     conditions of use and redistribution                rev   12/2013
!----------------------------------------------------------------------
!     accumulate legends
! . . . . . . . . . . . . . . .
!     legend for x-axis

      subroutine legx(string)

      use bbplot_internal_data

      character(*) string

      xstrng=string
      end
! . . . . . . . . . . . . . . .
!     legend for y-axix

      subroutine legy(string)

      use bbplot_internal_data

      character(*) string

      ystrng=string
      end
! . . . . . . . . . . . . . . .
!     add a legend entry for a point symbol

      subroutine legsym(isym,string)

      use bbplot_internal_data

      character(*) string

      if(nstrgs .ge. maxstr)then
         call bbrealloc_str(nstrgs+1, ierr)
         if (ierr /= 0) then
            write(6,*)'BBplot error in legsym: cannot allocate -- ignored'
            return
         endif
      endif

      nstrgs=nstrgs + 1
      nlegs=nlegs + 1
      legs(nlegs)=isym
      ilegs(nlegs)=nstrgs
      strngs(nstrgs)=string
      end
! . . . . . . . . . . . . . . .
!     add a legend entry for a line type

      subroutine leglin(ltype,string)

      use bbplot_internal_data

      character(*) string

      if(nstrgs .ge. maxstr)then
         call bbrealloc_str(nstrgs+1, ierr)
         if (ierr /= 0) then
            write(6,*)'BBplot error in leglin: cannot allocate -- ignored'
            return
         endif
      endif

      nstrgs=nstrgs + 1
      nlegs=nlegs + 1
      if(ltype .ge. 0)then
            legs(nlegs)=ltype + 50
      else
            legs(nlegs)=ltype
      endif
      ilegs(nlegs)=nstrgs
      strngs(nstrgs)=string
      end
