!***************************** titles *********************************
!     see files README and COPYING for      Copyright (C) B Bunk 7/1991
!     conditions of use and redistribution                rev   12/2013
!----------------------------------------------------------------------
!     accumulate titles and sub-titles
! . . . . . . . . . . . . . . . . .
!     title lines

      subroutine title(string)

      use bbplot_internal_data

      character(*) string

      if(nstrgs .ge. maxstr)then
         call bbrealloc_str(nstrgs+1, ierr)
         if (ierr /= 0) then
            write(6,*)'BBplot error in title: cannot allocate -- ignored'
            return
         endif
      endif

      nstrgs=nstrgs + 1
      ntits=ntits + 1
      itits(ntits)=nstrgs
      strngs(nstrgs)=string
      end
! . . . . . . . . . . . . . . . . .
!     sub-title lines

      subroutine subtit(string)

      use bbplot_internal_data

      character(*) string

      if(nstrgs .ge. maxstr)then
         call bbrealloc_str(nstrgs+1, ierr)
         if (ierr /= 0) then
            write(6,*)'BBplot error in subtit: cannot allocate -- ignored'
            return
         endif
      endif

      nstrgs=nstrgs + 1
      nsubs=nsubs + 1
      isubs(nsubs)=nstrgs
      strngs(nstrgs)=string
      end
